Subject: Re: bug#78815: 31.0.50; completions truncated

From: Colin Baxter <[email-masked]>
Date: Wed, 18 Jun 2025 17:13:30 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> From: Colin Baxter <[email-masked]> Cc: [email-masked]
    >> Date: Wed, 18 Jun 2025 15:16:40 +0100
    >> 
    >>>>>>> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> >> Date: Tue, 17 Jun 2025 11:01:58 +0100 From: Colin Baxter >>
    >> <[email-masked]>
    >> >> 
    >> >> 
    >> >> 1. emacs -Q <RET> 2. C-h f <RET> (for example) 3. completion
    >> >> <TAB> (for example) 4. Completion buffer opens with 131
    >> possible >> completions 5. In foot of buffer is button that
    >> reads: >> [Completions truncated, click here to insert the rest.]
    >> 
    >> > I don't see such a button, with today's master.
    >> 
    >> I've just git pulled and I'm afraid I still seen the button -
    >> screenshot attached.

    > What can I say? it doesn't work here, neither on MS-Windows nor on
    > GNU/Linux, with this recipe:

    >   emacs -Q C-h f completion TAB TAB TAB TAB TAB

    > (I have to type TAB 5 times before I see the end of the buffer,
    > which has 135 lines and shows 131 completions.)

    > Btw, it is strange that your screenshot shows the candidates which
    > start from completion-auto-select (here the list starts with
    > completion--cache-all-sorted-completions instead), and doesn't
    > show the heading of the *Completions* buffer ("Click or type
    > M-RET...").

    > Did I use a wrong recipe or something?

Perhaps I should give my steps in more detail:-

1. cd ~/git/emacs <RET>
2. src/emacs -Q <RET>
3. C-h f <RET>
4. Enter completion but stop with the cursor immediately left of the
letter n.
5. Press <TAB> once only.
6. The completion buffer appears with the button, as per the screenshot.
7. Press <TAB> again
8. All the completions appear and the button disappears.

I'm inclined to think this is not a bug.

Colin Baxter.